%bcond_with bootstrap
%global gem_name tzinfo
Name:                rubygem-%{gem_name}
Version:             1.2.5
Release:             2
Summary:             Daylight savings aware timezone library
License:             MIT
URL:                 http://tzinfo.github.io
Source0:             https://rubygems.org/gems/tzinfo-%{version}.gem
BuildRequires:       ruby(release) rubygems-devel ruby rubygem(minitest) rubygem(thread_safe)
BuildArch:           noarch
%description
TZInfo provides daylight savings aware transformations between times in
different time zones.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%if %{with bootstrap}
%check
pushd .%{gem_instdir}
ruby -Ilib -e "require './test/ts_all'"
ruby -Ilib -e "require './test/ts_all_zoneinfo.rb'"
popd
%endif

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGES.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test
%{gem_instdir}/%{gem_name}.gemspec

%changelog
* Sat Sep 5 2020 liyanan <liyanan32@huawei.com> - 1.2.5-2
- fix build fail

* Sat Aug 8 2020 yanan li <liyanan032@huawei.com> - 1.2.5-1
- Package init
